<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__timer_8h" kind="file" language="C++">
    <compoundname>wiced_timer.h</compoundname>
    <includes local="yes" refid="wiced__result_8h">wiced_result.h</includes>
    <includes local="yes" refid="wiced__timer__legacy_8h">wiced_timer_legacy.h</includes>
    <innerclass prot="public" refid="structwiced__timer__ext__t">wiced_timer_ext_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__timer_1gafcfb6bcad5801f85b6da1afef4b609f0" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* wiced_timer_callback_arg_t</definition>
        <argsstring />
        <name>wiced_timer_callback_arg_t</name>
        <briefdescription>
<para>Timer callback argument type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" bodystart="21" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="21" />
      </memberdef>
      <memberdef id="group__timer_1ga8b467c478f1eff92e40c368e1fb9e8db" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() wiced_timer_callback_ext_t(wiced_timer_callback_arg_t cb_params)</definition>
        <argsstring>(wiced_timer_callback_arg_t cb_params)</argsstring>
        <name>wiced_timer_callback_ext_t</name>
        <briefdescription>
<para>Function prototype for the timer call back. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cb_params</parametername>
</parameternamelist>
<parameterdescription>
<para>:Timer callback function </para>
</parameterdescription>
</parameteritem>
</parameterlist>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" bodystart="27" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="27" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__timer_1gaccf9e9dc74abb46089a080ac91ab29ce" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_init_timer_ext</definition>
        <argsstring>(wiced_timer_ext_t *p_timer, wiced_timer_callback_ext_t *p_timer_cb, wiced_timer_callback_arg_t cb_arg, wiced_bool_t periodic_timer)</argsstring>
        <name>wiced_init_timer_ext</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref> *</type>
          <declname>p_timer</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__timer_1ga8b467c478f1eff92e40c368e1fb9e8db">wiced_timer_callback_ext_t</ref> *</type>
          <declname>p_timer_cb</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__timer_1gafcfb6bcad5801f85b6da1afef4b609f0">wiced_timer_callback_arg_t</ref></type>
          <declname>cb_arg</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>periodic_timer</declname>
        </param>
        <briefdescription>
<para>Initializes the timer. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_timer</parametername>
</parameternamelist>
<parameterdescription>
<para>:Pointer to the timer structure </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_timer_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>:Timer callback function to be invoked on timer expiry </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cb_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>:Parameter to be passed to the timer callback function which gets invoked on timer expiry,if any </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">periodic_timer</parametername>
</parameternamelist>
<parameterdescription>
<para>:WICED_TRUE, if periodic, WICED_FALSE if non-periodic</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="59" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__timer_1ga982792d22b102f6c88b1b02f6d49459b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_start_timer_ext</definition>
        <argsstring>(wiced_timer_ext_t *p_timer, uint32_t timeout_ms)</argsstring>
        <name>wiced_start_timer_ext</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref> *</type>
          <declname>p_timer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>timeout_ms</declname>
        </param>
        <briefdescription>
<para>Starts the timer. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_timer</parametername>
</parameternamelist>
<parameterdescription>
<para>:Pointer to the timer structure </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>:timeout in milliseconds</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="69" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__timer_1ga2d044de2d5455663c79bc8dbfd6df493" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_stop_timer_ext</definition>
        <argsstring>(wiced_timer_ext_t *p_timer)</argsstring>
        <name>wiced_stop_timer_ext</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref> *</type>
          <declname>p_timer</declname>
        </param>
        <briefdescription>
<para>Stops the timer. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_timer</parametername>
</parameternamelist>
<parameterdescription>
<para>:Pointer to the timer structure</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="77" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__timer_1gacb5dbf51f2a4fce2d2903769c8d512d7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_is_timer_in_use_ext</definition>
        <argsstring>(wiced_timer_ext_t *p_timer)</argsstring>
        <name>wiced_is_timer_in_use_ext</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref> *</type>
          <declname>p_timer</declname>
        </param>
        <briefdescription>
<para>Checks if the timer is in use. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_timer</parametername>
</parameternamelist>
<parameterdescription>
<para>:Pointer to the timer structure</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if the timer is in use and FALSE if the timer is not in use </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="85" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__timer_1ga0924c8a7a32ed90a10f41e75f6680eb9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_deinit_timer_ext</definition>
        <argsstring>(wiced_timer_ext_t *p_timer)</argsstring>
        <name>wiced_deinit_timer_ext</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref> *</type>
          <declname>p_timer</declname>
        </param>
        <briefdescription>
<para>Deinitialize the timer instance and stops the timer if it is running. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_timer</parametername>
</parameternamelist>
<parameterdescription>
<para>:Pointer to the timer</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" line="93" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="15"><highlight class="preprocessor">#ifndef<sp />_WICED_TIMER_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="16"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_WICED_TIMER_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"wiced_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /><ref kindref="member" refid="group__timer_1gafcfb6bcad5801f85b6da1afef4b609f0">wiced_timer_callback_arg_t</ref>;</highlight></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(<sp /><ref kindref="member" refid="group__timer_1ga8b467c478f1eff92e40c368e1fb9e8db">wiced_timer_callback_ext_t</ref><sp />)(<sp /><ref kindref="member" refid="group__timer_1gafcfb6bcad5801f85b6da1afef4b609f0">wiced_timer_callback_arg_t</ref><sp />cb_params<sp />);</highlight></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="30" refid="structwiced__timer__ext__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">_wiced_timer_ext_t</highlight></codeline>
<codeline lineno="31"><highlight class="normal">{</highlight></codeline>
<codeline lineno="32"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">_wiced_timer_ext_t<sp /><sp /><sp />*p_next;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="34"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__timer_1gafcfb6bcad5801f85b6da1afef4b609f0">wiced_timer_callback_arg_t</ref><sp /><sp />cb_arg;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="35"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__timer_1ga8b467c478f1eff92e40c368e1fb9e8db">wiced_timer_callback_ext_t</ref><sp /><sp />*p_cback;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="37"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />periodic_interval_ms;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp />uint64_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />target_time;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="40"><highlight class="normal">}<ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref>;</highlight></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"wiced_timer_legacy.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal">{</highlight></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal"><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref><sp /><ref kindref="member" refid="group__timer_1gaccf9e9dc74abb46089a080ac91ab29ce">wiced_init_timer_ext</ref>(<sp /><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref>*<sp />p_timer,<sp /><ref kindref="member" refid="group__timer_1ga8b467c478f1eff92e40c368e1fb9e8db">wiced_timer_callback_ext_t</ref><sp />*p_timer_cb,</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__timer_1gafcfb6bcad5801f85b6da1afef4b609f0">wiced_timer_callback_arg_t</ref><sp />cb_arg,<sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />periodic_timer);</highlight></codeline>
<codeline lineno="61"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal"><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref><sp /><ref kindref="member" refid="group__timer_1ga982792d22b102f6c88b1b02f6d49459b">wiced_start_timer_ext</ref>(<sp /><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref>*<sp />p_timer,uint32_t<sp />timeout_ms<sp />);</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal"><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref><sp /><ref kindref="member" refid="group__timer_1ga2d044de2d5455663c79bc8dbfd6df493">wiced_stop_timer_ext</ref>(<sp /><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref>*<sp />p_timer<sp />);</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal"><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp /><ref kindref="member" refid="group__timer_1gacb5dbf51f2a4fce2d2903769c8d512d7">wiced_is_timer_in_use_ext</ref>(<ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref>*<sp />p_timer);</highlight></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal"><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref><sp /><ref kindref="member" refid="group__timer_1ga0924c8a7a32ed90a10f41e75f6680eb9">wiced_deinit_timer_ext</ref>(<sp /><sp /><ref kindref="compound" refid="structwiced__timer__ext__t">wiced_timer_ext_t</ref>*<sp />p_timer<sp />);</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal">}</highlight></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="preprocessor">#endif<sp />//<sp />_WICED_TIMER_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_timer.h" />
  </compounddef>
</doxygen>